import React from 'react';
export interface IIconButton {
    children: React.ReactNode;
    variant: 'outlined' | 'contained' | 'text';
    disabled: boolean;
    activate: boolean;
    size: 'medium' | 'large' | 'small';
    status: 'error' | 'success';
    onClick: React.MouseEventHandler<HTMLDivElement>;
}
declare const IconButton: React.FC<IIconButton>;
export default IconButton;
