import React, { ComponentProps } from 'react';
import { SIZE, DISPLAY } from '../../utils/componentPropsTypes';
interface IButton {
    variant?: 'contained' | 'outlined' | 'text';
    label?: string;
    startImage?: React.ReactNode;
    endImage?: React.ReactNode;
    disabled?: boolean;
    size?: SIZE;
    display?: DISPLAY;
    onClick?: React.MouseEventHandler<HTMLDivElement>;
}
declare function Button({ variant, label, startImage, endImage, disabled, size, display, onClick, ...arg }: IButton & Omit<ComponentProps<'input'>, keyof IButton>): JSX.Element;
export default Button;
