import React, { ComponentProps } from 'react';
export interface IInput {
    errorText: string;
    sucessText: string;
    value: string;
    onChange: React.ChangeEventHandler<HTMLInputElement>;
    onClick: React.MouseEventHandler<HTMLInputElement>;
    placeholder: string;
    error: boolean;
    sucess: boolean;
    size: 'medium' | 'large' | 'small';
    label: string;
    image: React.ReactNode;
}
declare const Input: React.FC<Partial<IInput & Omit<ComponentProps<'input'>, keyof IInput>>>;
export default Input;
