import React, { ComponentProps } from 'react';
export interface ISwitch {
    variant: 'square' | 'dot';
    disabled: boolean;
    size: 'medium' | 'large' | 'small';
    onClick: React.MouseEventHandler<HTMLInputElement>;
    defaultChecked: boolean;
    checked: boolean;
}
declare const Switch: React.FC<Partial<ISwitch & Omit<ComponentProps<'input'>, keyof ISwitch>>>;
export default Switch;
